CKEDITOR.plugins.add( 'info',
{
	init: function( editor )
	{
		editor.addCommand( 'infoCommand', new CKEDITOR.dialogCommand( 'infoDialog' ) );
		editor.ui.addButton( 'info',
			{
				label: 'إدراج ملاحظة في الموضوع',
				command: 'infoCommand',
				icon: this.path + 'info.gif'
			}
		);
		var me = {};
		CKEDITOR.dialog.add( 'infoDialog', function( editor )
		{
			return {
				title : 'إدراج ملاحظة في الموضوع',
				width : 400,
				height : 'auto',
				onShow : function (){
					if  (editor.getSelection().getSelectedText().length < 1) {
						alert('رجاء تحديد النص اولا');
							if ( this.fire( 'cancel', { hide : true } ).hide !== false ){
								this.hide();
								evt.data.preventDefault();
							}
						return;
					} else {
						me.text = editor.getSelection().getSelectedText();
					}
				},
				contents :
				[
					{
						id : 'info',
						label : 'info',
						elements :
						[
							{
								type : 'textarea',
								id : 'text',
								label : 'النص',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								required : true,
								onShow : function()
								{
									this.setValue(me.text);
								},
								commit : function( me )
								{
									me.text = this.getValue();
								}
							}
						]
					}
				],
				onOk : function( me )
				{
					this.commitContent( me );
					editor.insertHtml('[info]' + me.text + '[/info]');
				}
			};
		});
	}
});